package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBProductStockUpdate entity.
 */
public class TBProductStockUpdateDTO implements Serializable {

    private Long id;

    private Instant updateDate;

    private Integer action;

    private Double quantity;

    private String description;

    private Long updateBy;

    private Long tbProductBlockDetailsId;

    private String tbProductBlockDetailsCode;

    private Double tbProductBlockDetailsQuantity;

    private String tbProductBlockDetailsEntityName;

    private Long tbActivityId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Instant getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Instant updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getAction() {
        return action;
    }

    public void setAction(Integer action) {
        this.action = action;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public Long getTbProductBlockDetailsId() {
        return tbProductBlockDetailsId;
    }

    public void setTbProductBlockDetailsId(Long tBProductBlockDetailsId) {
        this.tbProductBlockDetailsId = tBProductBlockDetailsId;
    }

    public Long getTbActivityId() {
        return tbActivityId;
    }

    public void setTbActivityId(Long tbActivityId) {
        this.tbActivityId = tbActivityId;
    }

    public String getTbProductBlockDetailsCode() {
        return tbProductBlockDetailsCode;
    }

    public void setTbProductBlockDetailsCode(String tbProductBlockDetailsCode) {
        this.tbProductBlockDetailsCode = tbProductBlockDetailsCode;
    }

    public Double getTbProductBlockDetailsQuantity() {
        return tbProductBlockDetailsQuantity;
    }

    public void setTbProductBlockDetailsQuantity(Double tbProductBlockDetailsQuantity) {
        this.tbProductBlockDetailsQuantity = tbProductBlockDetailsQuantity;
    }

    public String getTbProductBlockDetailsEntityName() {
        return tbProductBlockDetailsEntityName;
    }

    public void setTbProductBlockDetailsEntityName(String tbProductBlockDetailsEntityName) {
        this.tbProductBlockDetailsEntityName = tbProductBlockDetailsEntityName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBProductStockUpdateDTO tBProductStockUpdateDTO = (TBProductStockUpdateDTO) o;
        if (tBProductStockUpdateDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBProductStockUpdateDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBProductStockUpdateDTO{" +
            "id=" + getId() +
            ", updateDate='" + getUpdateDate() + "'" +
            ", action=" + getAction() +
            ", quantity=" + getQuantity() +
            ", description='" + getDescription() + "'" +
            ", updateBy=" + getUpdateBy() +
            ", tbProductBlockDetails=" + getTbProductBlockDetailsId() +
            ", tbActivity=" + getTbActivityId() +
            "}";
    }
}
